Java 8 Oracle no Ubuntu e Linux Mint

Publicado por Xerxes Lins em 04/04/2014

[ Hits: 52.455 ]

Blog: https://voidlinux.org/

 


Java 8 Oracle no Ubuntu e Linux Mint



Dica testada no Linux Mint 16.

Para instalar o Java 8 no Linux Mint (e Ubuntu), basta executar os comandos:

sudo apt-get purge openjdk*
$ sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update
$ sudo apt-get install oracle-java8-installer
$ sudo apt-get install oracle-java8-set-default



Fonte:


Outras dicas deste autor

Erro ao compilar Comix no Funtoo [Resolvido]

Instalação do Netdata no Fedora 23

Debian no telefone (sem root)

Crie atalhos para controle de volume no Fluxbox

Inutilidades

Leitura recomendada

O comando usermod

Aplicativo de ajuste de brilho no Ubuntu

WindowMaker como Desktop padrão

Eliminando mensagem de aviso de configuração de rede no Debian

Como instalar o Skype 64 bits para Ubuntu no openSUSE 11.3 64 bits

  

Comentários
[1] Comentário enviado por nio em 21/04/2014 - 14:01h

Olá Xerxes Lins,

No meu Linux Mint aparece a sequinte resposta e não consigo instalar o Java.
Atingido http://debian.linuxmint.com testing InRelease
Ign http://extra.linuxmint.com debian InRelease
Ign http://packages.linuxmint.com debian InRelease
Atingido http://debian.linuxmint.com testing/updates InRelease
Ign http://extra.linuxmint.com debian Release.gpg
Ign http://ppa.launchpad.net testing InRelease
Obter:1 http://packages.linuxmint.com debian Release.gpg [198 B]
Atingido http://debian.linuxmint.com testing InRelease
Obter:2 http://extra.linuxmint.com debian Release [2.275 B]
Obter:3 http://packages.linuxmint.com debian Release [16,8 kB]
Ign http://ppa.launchpad.net testing Release.gpg
Atingido http://debian.linuxmint.com testing/main i386 Packages/DiffIndex
Atingido http://debian.linuxmint.com testing/contrib i386 Packages/DiffIndex
Atingido http://debian.linuxmint.com testing/non-free i386 Packages/DiffIndex
Atingido http://debian.linuxmint.com testing/contrib Translation-en/DiffIndex
Atingido http://debian.linuxmint.com testing/main Translation-pt_BR/DiffIndex
Atingido http://debian.linuxmint.com testing/main Translation-pt/DiffIndex
Ign http://extra.linuxmint.com debian/main i386 Packages/DiffIndex
Ign http://ppa.launchpad.net testing Release
Atingido http://debian.linuxmint.com testing/main Translation-en/DiffIndex
Atingido http://debian.linuxmint.com testing/non-free Translation-en/DiffIndex
Atingido http://debian.linuxmint.com testing/updates/main i386 Packages
Atingido http://debian.linuxmint.com testing/updates/contrib i386 Packages
Atingido http://debian.linuxmint.com testing/updates/non-free i386 Packages
Atingido http://debian.linuxmint.com testing/updates/contrib Translation-en
Obter:4 http://packages.linuxmint.com debian/main i386 Packages [26,1 kB]
Atingido http://debian.linuxmint.com testing/updates/main Translation-en
Atingido http://debian.linuxmint.com testing/updates/non-free Translation-en
Obter:5 http://packages.linuxmint.com debian/upstream i386 Packages [18,1 kB]
Obter:6 http://packages.linuxmint.com debian/import i386 Packages [53,6 kB]
Atingido http://debian.linuxmint.com testing/main i386 Packages
Atingido http://debian.linuxmint.com testing/non-free i386 Packages
Obter:7 http://extra.linuxmint.com debian/main i386 Packages [20 B]
Ign http://extra.linuxmint.com debian/main Translation-pt_BR
Ign http://extra.linuxmint.com debian/main Translation-pt
Ign http://extra.linuxmint.com debian/main Translation-en
Ign http://debian.linuxmint.com testing/main Translation-pt_BR
Err http://ppa.launchpad.net testing/main Sources
404 Not Found
Ign http://debian.linuxmint.com testing/main Translation-pt
Err http://ppa.launchpad.net testing/main i386 Packages
404 Not Found
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://ppa.launchpad.net testing/main Translation-pt_BR
Ign http://debian.linuxmint.com testing/non-free Translation-pt_BR
Ign http://debian.linuxmint.com testing/non-free Translation-pt
Ign http://ppa.launchpad.net testing/main Translation-pt
Ign http://debian.linuxmint.com testing/non-free Translation-en
Ign http://ppa.launchpad.net testing/main Translation-en
Ign http://packages.linuxmint.com debian/import Translation-pt_BR
Ign http://packages.linuxmint.com debian/import Translation-pt
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-pt_BR
Ign http://packages.linuxmint.com debian/main Translation-pt
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-pt_BR
Ign http://packages.linuxmint.com debian/upstream Translation-pt
Ign http://packages.linuxmint.com debian/upstream Translation-en
Baixados 117 kB em 11s (9.900 B/s)
W: Falhou ao buscar http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/testing/main/source/Sources 404 Not Found

W: Falhou ao buscar http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/testing/main/binary-i386/Packages 404 Not Found

E: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar.

[2] Comentário enviado por xerxeslins em 23/04/2014 - 10:39h


[1] Comentário enviado por nio em 21/04/2014 - 14:01h:

Olá Xerxes Lins,

No meu Linux Mint aparece a sequinte resposta e não consigo instalar o Java.
Atingido http://debian.linuxmint.com testing InRelease
Ign http://extra.linuxmint.com debian InRelease
Ign http://packages.linuxmint.com debian InRelease
Atingido http://debian.linuxmint.com testing/updates InRelease
Ign http://extra.linuxmint.com debian Release.gpg
Ign http://ppa.launchpad.net testing InRelease
Obter:1 http://packages.linuxmint.com debian Release.gpg [198 B]
Atingido http://debian.linuxmint.com testing InRelease
Obter:2 http://extra.linuxmint.com debian Release [2.275 B]
Obter:3 http://packages.linuxmint.com debian Release [16,8 kB]
Ign http://ppa.launchpad.net testing Release.gpg
Atingido http://debian.linuxmint.com testing/main i386 Packages/DiffIndex
Atingido http://debian.linuxmint.com testing/contrib i386 Packages/DiffIndex
Atingido http://debian.linuxmint.com testing/non-free i386 Packages/DiffIndex
Atingido http://debian.linuxmint.com testing/contrib Translation-en/DiffIndex
Atingido http://debian.linuxmint.com testing/main Translation-pt_BR/DiffIndex
Atingido http://debian.linuxmint.com testing/main Translation-pt/DiffIndex
Ign http://extra.linuxmint.com debian/main i386 Packages/DiffIndex
Ign http://ppa.launchpad.net testing Release
Atingido http://debian.linuxmint.com testing/main Translation-en/DiffIndex
Atingido http://debian.linuxmint.com testing/non-free Translation-en/DiffIndex
Atingido http://debian.linuxmint.com testing/updates/main i386 Packages
Atingido http://debian.linuxmint.com testing/updates/contrib i386 Packages
Atingido http://debian.linuxmint.com testing/updates/non-free i386 Packages
Atingido http://debian.linuxmint.com testing/updates/contrib Translation-en
Obter:4 http://packages.linuxmint.com debian/main i386 Packages [26,1 kB]
Atingido http://debian.linuxmint.com testing/updates/main Translation-en
Atingido http://debian.linuxmint.com testing/updates/non-free Translation-en
Obter:5 http://packages.linuxmint.com debian/upstream i386 Packages [18,1 kB]
Obter:6 http://packages.linuxmint.com debian/import i386 Packages [53,6 kB]
Atingido http://debian.linuxmint.com testing/main i386 Packages
Atingido http://debian.linuxmint.com testing/non-free i386 Packages
Obter:7 http://extra.linuxmint.com debian/main i386 Packages [20 B]
Ign http://extra.linuxmint.com debian/main Translation-pt_BR
Ign http://extra.linuxmint.com debian/main Translation-pt
Ign http://extra.linuxmint.com debian/main Translation-en
Ign http://debian.linuxmint.com testing/main Translation-pt_BR
Err http://ppa.launchpad.net testing/main Sources
404 Not Found
Ign http://debian.linuxmint.com testing/main Translation-pt
Err http://ppa.launchpad.net testing/main i386 Packages
404 Not Found
Ign http://debian.linuxmint.com testing/main Translation-en
Ign http://ppa.launchpad.net testing/main Translation-pt_BR
Ign http://debian.linuxmint.com testing/non-free Translation-pt_BR
Ign http://debian.linuxmint.com testing/non-free Translation-pt
Ign http://ppa.launchpad.net testing/main Translation-pt
Ign http://debian.linuxmint.com testing/non-free Translation-en
Ign http://ppa.launchpad.net testing/main Translation-en
Ign http://packages.linuxmint.com debian/import Translation-pt_BR
Ign http://packages.linuxmint.com debian/import Translation-pt
Ign http://packages.linuxmint.com debian/import Translation-en
Ign http://packages.linuxmint.com debian/main Translation-pt_BR
Ign http://packages.linuxmint.com debian/main Translation-pt
Ign http://packages.linuxmint.com debian/main Translation-en
Ign http://packages.linuxmint.com debian/upstream Translation-pt_BR
Ign http://packages.linuxmint.com debian/upstream Translation-pt
Ign http://packages.linuxmint.com debian/upstream Translation-en
Baixados 117 kB em 11s (9.900 B/s)
W: Falhou ao buscar http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/testing/main/source/Sources 404 Not Found

W: Falhou ao buscar http://ppa.launchpad.net/webupd8team/java/ubuntu/dists/testing/main/binary-i386/Packages 404 Not Found

E: Falhou o download de alguns ficheiros de índice. Foram ignorados ou os antigos foram usados em seu lugar.


Desculpe. Não sei o motivo.
Talvez seja um problema temporário nos servidores.

[3] Comentário enviado por tonitito em 07/06/2014 - 14:23h

Alo, xerxeslins:

Acabei de lhe mandar um e-mail sobre a mensagem "Não foi possivel obter trava /var/lib/apt/lists/lock.......................". Já resolvi o problema com a resposta dada por Tunning Tux em "http://www.vivaolinux.com.br/topico/Iniciantes-no-Linux/Impossivel-criar-acesso-exclusivo". Mas, continuando a instalação com "sudo apt-get update" apareceu nova mensagem, travando o processo: "Err http://packages.medibuntu.org raring/free Translation-pt
Algo estranho aconteceu ao resolver 'packages.medibuntu.org:http' (-11 - Erro de sistema)
100% [Conectando a packages.medibuntu.org]".
Você poderia me ajudar?
Um abraço
tonitito

[4] Comentário enviado por xerxeslins em 08/06/2014 - 07:14h


[3] Comentário enviado por tonitito em 07/06/2014 - 14:23h:

Alo, xerxeslins:

Acabei de lhe mandar um e-mail sobre a mensagem "Não foi possivel obter trava /var/lib/apt/lists/lock.......................". Já resolvi o problema com a resposta dada por Tunning Tux em "http://www.vivaolinux.com.br/topico/Iniciantes-no-Linux/Impossivel-criar-acesso-exclusivo". Mas, continuando a instalação com "sudo apt-get update" apareceu nova mensagem, travando o processo: "Err http://packages.medibuntu.org raring/free Translation-pt
Algo estranho aconteceu ao resolver 'packages.medibuntu.org:http' (-11 - Erro de sistema)
100% [Conectando a packages.medibuntu.org]".
Você poderia me ajudar?
Um abraço
tonitito


Olá! Qual a versão do seu linux mint ou do seu Ubuntu?
Tá dando erro no medibuntu.org, mas acontece que esse repositório foi descontinuado, não existe mais.


[5] Comentário enviado por crimelordz em 20/11/2014 - 12:18h

Comigo funcionou perfeitamente cada comando, parabéns ae cara.
SO: Linux Mint 17 Qiana - amd64

[6] Comentário enviado por kazz em 26/02/2015 - 01:20h

Simples, fácil e rápido, excelente amigo. Muito bom!!

[7] Comentário enviado por melhorart em 21/10/2015 - 12:27h


Olá! Já fiz várias vezes esta instalação, mas achoe use que agora algo está desatualizado e não sei como resolver. Preciso do Java 8 e acabei de instalar o novo Mint 17.2 mas dá o seguinte erro:

Você está prestes a adicionar o seguinte PPA para o seu sistema:
Oracle Java (JDK) Installer (automatically downloads and installs Oracle JDK7 / JDK8 / JDK9). There are no actual Java files in this PPA.

More info (and Ubuntu installation instructions):
- for Oracle Java 7: http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html
- for Oracle Java 8: http://www.webupd8.org/2012/09/install-oracle-java-8-in-ubuntu-via-ppa.html

Debian installation instructions:
- Oracle Java 7: http://www.webupd8.org/2012/06/how-to-install-oracle-java-7-in-debian.html
- Oracle Java 8: http://www.webupd8.org/2014/03/how-to-install-oracle-java-8-in-debian.html

Important!!! For now, you should continue to use Java 8 because Oracle Java 9 is available as an early access release (it should be released in 2016)! You should only use Oracle Java 9 if you explicitly need it, because it may contain bugs and it might not include the latest security patches! Also, some Java options were removed in JDK9, so you may encounter issues with various Java apps. More information and installation instructions (Ubuntu / Linux Mint / Debian): http://www.webupd8.org/2015/02/install-oracle-java-9-in-ubuntu-linux.html
Mais informações: https://launchpad.net/~webupd8team/+archive/ubuntu/java
Pressione [ENTER] para continuar ou ctrl-c para cancelar a adição

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.6uJjKr8GgA --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys EEA14886
gpg: requisitando chave EEA14886 de servidor hkp - keyserver.ubuntu.com
gpg: chave EEA14886: "Launchpad VLC"
gpg: Número total processado: 1
gpg: não modificados: 1

Alguém pode me ajudar por favor?

[8] Comentário enviado por xerxeslins em 21/10/2015 - 14:51h


[7] Comentário enviado por melhorart em 21/10/2015 - 12:27h


Olá! Já fiz várias vezes esta instalação, mas achoe use que agora algo está desatualizado e não sei como resolver. Preciso do Java 8 e acabei de instalar o novo Mint 17.2 mas dá o seguinte erro:

Você está prestes a adicionar o seguinte PPA para o seu sistema:
Oracle Java (JDK) Installer (automatically downloads and installs Oracle JDK7 / JDK8 / JDK9). There are no actual Java files in this PPA.

More info (and Ubuntu installation instructions):
- for Oracle Java 7: http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html
- for Oracle Java 8: http://www.webupd8.org/2012/09/install-oracle-java-8-in-ubuntu-via-ppa.html

Debian installation instructions:
- Oracle Java 7: http://www.webupd8.org/2012/06/how-to-install-oracle-java-7-in-debian.html
- Oracle Java 8: http://www.webupd8.org/2014/03/how-to-install-oracle-java-8-in-debian.html

Important!!! For now, you should continue to use Java 8 because Oracle Java 9 is available as an early access release (it should be released in 2016)! You should only use Oracle Java 9 if you explicitly need it, because it may contain bugs and it might not include the latest security patches! Also, some Java options were removed in JDK9, so you may encounter issues with various Java apps. More information and installation instructions (Ubuntu / Linux Mint / Debian): http://www.webupd8.org/2015/02/install-oracle-java-9-in-ubuntu-linux.html
Mais informações: https://launchpad.net/~webupd8team/+archive/ubuntu/java
Pressione [ENTER] para continuar ou ctrl-c para cancelar a adição

Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --homedir /tmp/tmp.6uJjKr8GgA --no-auto-check-trustdb --trust-model always --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys EEA14886
gpg: requisitando chave EEA14886 de servidor hkp - keyserver.ubuntu.com
gpg: chave EEA14886: "Launchpad VLC"
gpg: Número total processado: 1
gpg: não modificados: 1

Alguém pode me ajudar por favor?


Psso estar enganado, mas aparentemente a dica ficou desatualizada (ela é de abril de 2014).

De acordo com a página "https://launchpad.net/~webupd8team/+archive/ubuntu/java"

Não há mais arquivos JAVA neste PPA.

Ou seja, a dica funcionava até que um dia removeram o java do webupd8team.


[9] Comentário enviado por wallenandrade em 26/12/2015 - 22:26h

Esse java8 é x64.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts